フロッピー版Debian Lennyインストーラ

 Lennyから公式にフロッピーディスクによるインストールがサポートされなくなりました。CDブートやPXEブートが出来ず、フロッピーディスクからしかブート出来ないPCには、フロッピーインストーラがあると便利です。そこで、Fedora Core Floppy InstallerにあるFedora Core 5向けのフロッピーディスクのインストーラのイメージを改造して、Debian Lenny向けのフロッピーインストラーのイメージを作成しました。tar.gzで固めて、下のリンクに添付しました。イメージファイルが7個になり、フロッピーディスクへの書き込みが大変ですが。イメージをフロッピーディスクに書き込み、1枚目から起動して、フロッピーディスクを入れ替えると、テキストベースのインストーラが起動します。なお、1枚目のフロッピーディスクは書き込み可能にしておかないとダメです。また、古いPCでインストールがうまくいかない場合、電源管理ACPIをサポートしていないと考えられるので、1枚目のフロッピーディスク内のdebian.batファイルを開き、

loadlin linux initrd=initrd.gz

loadlin linux noacpi acpi=off initrd=initrd.gz

に書き換えるとインストールがうまくいくと思います。

フロッピーインストーラ debian-lenny-fi.tar.gzmd5sum.txt

インストーラについてコメントがありましたら、2009年6月28日の日記のページでツッコミをして下さい。

 このページは今後、更新しません。最新のフロッピーインストーラを作成する場合は、汎用Linuxフロッピーインストーラ作成ソフトを利用して下さい。特に、Debianではネットワークインストーラのカーネル、初期RAMディスクがたまに更新されるため、ここにあるフロッピイメージではネットワークインストールができない可能性があります。


トップ   編集 凍結 差分 バックアップ 添付 複製 名前変更 リロード   新規 一覧 単語検索 最終更新   ヘルプ   最終更新のRSS
Last-modified: 2010-11-20 (土) 17:59:36 (2501d)